[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpFD_SET

Set a filedescriptor in a set

## Declaration

Source position: bunxovlh.inc line 72

`function fpFD_SET(`
`fdno: cint;`
`var nset: TFDSet`
`):cint;`

## Description

FpFD_Set sets file descriptor fdno in filedescriptor set nset.

For an example, see FpSelect.

## Errors

None.

## See also

FpSelect |  | Wait for events on file descriptors
FpFD_ZERO |  | Clear all file descriptors in set
FpFD_Clr |  | Clears a filedescriptor in a set
FpFD_IsSet |  | Check whether a filedescriptor is set

Documentation generated on: Feb 26 2014